{% extends 'includes/default.html' %}

{% block head %}
<!---->
<style>
    body,
    html {
        height: 100%;
        width: 100%;
    }
</style>
{% endblock %}

{% block body %}
<div class="row p-2 m-0 pt-5">
    <!--<div class="col-lg-8 col-md-12">
            <h5 class="mb-5">Eurobot Map</h5>
            <img src="/static/img/eurobot_map.jpg" class="w-100 h-100 p-0">
        </div>-->
    <div class="col-lg col-md-12 mt-5">
        <img id="img-to-change" src="#"></img>

        <div class="row mt-5 mb-5">
            <div class="col-md-3">
                <div class="form-group">
                    <button id="switch-img-p0" class="btn btn-danger w-100">Processed 0</button>
                </div>
            </div>

            <div class="col-md-3">
                <div class="form-group">
                    <button id="switch-img-p1" class="btn btn-danger w-100">Processed 1</button>
                </div>
            </div>

            <div class="col-md-3">
                <div class="form-group">
                    <button id="switch-img-i0" class="btn btn-danger w-100">Image 0</button>
                </div>
            </div>

            <div class="col-md-3">
                <div class="form-group">
                    <button id="switch-img-i1" class="btn btn-danger w-100">Image 1</button>
                </div>
            </div>
        </div>

        <h5 class="mb-5">Game Info</h5>

        <div class="row mt-5 mb-5">
            <div class="col-md-1 btn-danger">
                <div class="form-group">
                    <h6 style="font-size: 150%;"><b>Score</b></h6>
                </div>
            </div>
            <div class="col-md-1 btn-danger">
                <div class="form-group">
                    <i><b><div id="score">0.0</div></b></i>
                </div>
            </div>
        </div>

        <div class="row mt-5 mb-5">
            <div class="col-md-1 btn-danger">
                <div class="form-group">
                    <h6 style="font-size: 150%;"><b>Start</b></h6>
                </div>
            </div>
            <div class="col-md-1 btn-danger">
                <div class="form-group">
                    <i><b><div id="robot_started">false</div></b></i>
                </div>
            </div>
        </div>

        <div class="row mt-5 mb-5">
            <div class="col-md-4">
                <div class="form-group">
                    <label for="robot_x">x (m)</label>
                    <input type="number" class="form-control" id="robot_x" value="0.0">
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label for="robot_y">y (m)</label>
                    <input type="number" class="form-control" id="robot_y" value="0.0">
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label for="robot_yaw">yaw (degrees)</label>
                    <input type="number" class="form-control" id="robot_yaw" value="0.0">
                </div>
            </div>
        </div>

        <div class="mt-5 mb-5">
            <button id="reset_odometry_btn" class="btn btn-danger w-100">Reset Encoders</button>
        </div>

        <h5 class="mb-5">Control Panel</h5>

        <!-- <div class="checkbox">
                <label>
                    <input id="gripper_action_btn" type="checkbox" data-toggle="toggle">
                </label>
            </div> -->

        <div class="form-group mt-5">
            <label for="gripper_open_action_btn">Gripper Action Button</label>
            <button id="gripper_open_action_btn" type="button" class="btn btn-primary w-100">Open All Grippers</button>
            <button id="gripper_close_action_btn" type="button" class="btn btn-primary w-100 mt-3">Close All
                Grippers</button>
            <div class="col-lg col-md-12 mt-5">
                <div class="row mt-5 mb-5">
                    <div class="col-md-2">
                        <div class="form-group">
                            <button id="gripper0_toggle_action_btn" type="button"
                                class="btn btn-primary w-100 mt-5">Gripper 0 Toggle</button>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <button id="gripper1_toggle_action_btn" type="button"
                                class="btn btn-primary w-100 mt-5">Gripper 1 Toggle</button>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <button id="gripper2_toggle_action_btn" type="button"
                                class="btn btn-primary w-100 mt-5">Gripper 2 Toggle</button>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <button id="gripper3_toggle_action_btn" type="button"
                                class="btn btn-primary w-100 mt-5">Gripper 3 Toggle</button>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <button id="gripper4_toggle_action_btn" type="button"
                                class="btn btn-primary w-100 mt-5">Gripper 4 Toggle</button>
                        </div>
                    </div>
                </div>
            </div>


            <div class="form-group mt-5">
                <label for="small_bot_activation_action_btn">Small Bot Action Button</label>
                <button id="small_bot_activation_action_btn" type="button" class="btn btn-primary w-100">Activate Small Bot</button>
            </div>

            <div class="form-group mt-5">
                <label for="reset_task_btn">Eurobot Task Controls</label>
                <button id="reset_task_btn" type="button" class="btn btn-danger w-100">Reset Tasks</button>
                <button id="set_team_blue_btn" type="button" class="btn btn-primary w-100 mt-5">Set Team A (Blue)</button>
                <button id="set_team_yellow_btn" type="button" class="btn btn-primary w-100 mt-3">Set Team B (Yellow)</button>

                <button id="kill_task_btn" type="button" class="btn btn-danger w-100 mt-5">Kill Task</button>
            </div>

            <div class="form-group mt-5">
                <label for="shutdown_btn">Robot Shutdown</label>
                <button id="shutdown_btn" type="button" class="btn btn-danger btn-lg w-100">Shutdown</button>
            </div>

        </div>
    </div>
    {% endblock %}

    {% block footer %}
    {% endblock %}